Bug 978018 - Unable to create an app from reflector URL
Unable to create an app from reflector URL
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hiro Asari
libra bugs
Depends On:
  Show dependency treegraph
Reported: 2013-06-25 16:03 EDT by Jeffrey Bride
Modified: 2015-05-14 19:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-03 17:25:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeffrey Bride 2013-06-25 16:03:10 EDT
  I'm attempting to create a new cartridge called 'jbpmengine' by initially leveraging the  jbosseap cartridge (https://github.com/openshift/origin-server/tree/master/cartridges/openshift-origin-cartridge-jbosseap ).
thus far i've followed along Clayton's cartridge 2.0 tutorial  (https://www.openshift.com/blogs/introducing-the-openshift-cartridge-api-version-2 .....  excellent overview,  by the way) and am executing this command :

rhc create-app jbpmengine "http://cartreflect-claytondev.rhcloud.com/reflect?github=jbride/openshift-origin-cartridge-jbpm-engine&commit=master"

i know the broker is doing a lot behind the scenes but in this case exits with the following response to my rhc client:

Unable to complete the requested operation due to: Node execution failure (invalid exit code from node). If the problem persists please contact Red Hat support..
Reference ID: 8a1bcec071e9678567638a059cbb05b9

i suspect i've hosed something up in my cart but it's difficult to pinpoint the problem because the node provides little clues.

thanks!  jeff
Comment 1 Hiro Asari 2013-07-03 17:25:08 EDT
The application creation is failing with something like:

2013-07-03 16:31:32.624 [DEBUG] DEBUG: server results: Failed to execute: 'control start' for /var/lib/openshift/4c0275aee41f11e2b5f512313b06d0b2/jbpmengine (pid:4472)

I tracked this down to your malformed manifest.yml; you edited "Name:" element to 'jbpmengine', which caused disconnect between the cartridge scripts (including bin/control) and the various environment variables. This, in turn, caused 'ishttpup()' function to never succeed. Changing "Name:" back to 'jbosseap' should allow application to be created successfully.

This should be documented in https://github.com/openshift/origin-server/blob/master/node/README.writing_cartridges.md but it is not. I created https://bugzilla.redhat.com/show_bug.cgi?id=981051 to further track that issue.

In the meantime, you should be able to move forward.

Let us know if you need further assistance.
Comment 2 Hiro Asari 2013-07-03 17:39:27 EDT
The exact failure may be different, actually, not the environment variables issue that I described above. The cause, however, is the same: manifest.yml was internally inconsistent.

We should improve our documentation.

Note You need to log in before you can comment on or make changes to this bug.